Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class ObjectGraphBuilder.ObjectFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.util.ObjectGraphBuilder.ObjectFactory

    class ObjectGraphBuilder.ObjectFactory
    extends AbstractFactory

Constructor Summary
`ObjectGraphBuilder.ObjectFactory()`

Method Summary
`protected Class` | `loadClass(ClassLoader classLoader, String classname)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)`
`protected Class` | `resolveClass(FactoryBuilderSupport builder, String classname, Object name, Object value, Map properties)`
`protected Object` | `resolveInstance(FactoryBuilderSupport builder, Object name, Object value, Class klass, Map properties)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ObjectGraphBuilder.ObjectFactory

    ObjectGraphBuilder.ObjectFactory()

Method Detail

### loadClass

    protected Class loadClass(ClassLoader classLoader, String classname)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map properties)

### resolveClass

    protected Class resolveClass(FactoryBuilderSupport builder, String classname, Object name, Object value, Map properties)

### resolveInstance

    protected Object resolveInstance(FactoryBuilderSupport builder, Object name, Object value, Class klass, Map properties)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.